package com.sa.ibiz.demo.demo.service;

import com.sa.ibiz.demo.demo.domain.MsgSendQueueHis;
import com.sa.ibiz.demo.demo.service.dto.MsgSendQueueHisSearchFilter;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.core.metadata.IPage;
import java.util.List;
import com.baomidou.mybatisplus.extension.service.IService;
import java.util.Map;

/**
 * 实体[MsgSendQueueHis] 服务对象接口
 */
public interface MsgSendQueueHisService extends IService<MsgSendQueueHis>{

	boolean remove(MsgSendQueueHis et);
	boolean update(MsgSendQueueHis et);
	boolean checkKey(MsgSendQueueHis et);
		MsgSendQueueHis get(MsgSendQueueHis et);
	boolean getDraft(MsgSendQueueHis et);
	boolean create(MsgSendQueueHis et);
    List<MsgSendQueueHis> listDefault(MsgSendQueueHisSearchFilter filter) ;
	Page<MsgSendQueueHis> searchDefault(MsgSendQueueHisSearchFilter filter);
	/**	 实体[MsgSendQueueHis] 自定义数据查询  	**/
	List<Map<String,Object>> selectRow(String sql);
 }